summaryrefslogtreecommitdiff
path: root/t/comment-block.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-11-24 14:32:06 +0100
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-11-24 14:34:59 +0100
commita55591f32d816db41335835eb8bc92aa4d5c5267 (patch)
tree87a9060e9acfe1c938045022f5abcba773439679 /t/comment-block.sh
parentfe1625a4b00b402d6333be0d7999a41ed4983204 (diff)
downloadautomake-a55591f32d816db41335835eb8bc92aa4d5c5267.tar.gz
tests: give some tests more significant names
* t/req.sh: Rename ... * t/aclocal-req.sh: ... like this. * t/reqd.sh: Rename ... * t/add-missing-multiple.sh: ... like this. * t/block.sh: Rename ... * t/comment-block.sh: ... like this. * t/list-of-tests.mk: Adjust. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/comment-block.sh')
-rwxr-xr-xt/comment-block.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/t/comment-block.sh b/t/comment-block.sh
new file mode 100755
index 000000000..a50b9d3e7
--- /dev/null
+++ b/t/comment-block.sh
@@ -0,0 +1,34 @@
+#! /bin/sh
+# Copyright (C) 1996-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Make sure block comments are not double-spaced.
+# Report from François Pinard.
+
+. test-init.sh
+
+cat > Makefile.am << 'END'
+#START
+#a
+#b
+#c
+#END
+END
+
+$ACLOCAL
+$AUTOMAKE
+
+(sed -e '/^#START/,/^#END/ !d' Makefile.in | grep -v '^#') && exit 1
+exit 0